Get Card Accounts
curl --request GET \
--url https://access.utgl.io/v1/cardaccounts \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://access.utgl.io/v1/cardaccounts"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://access.utgl.io/v1/cardaccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prevPageToken": "<string>",
"nextPageToken": "<string>",
"cardAccounts": [
{
"balance": 10000.25,
"outstanding": 7500.5,
"disputeAmount": 250,
"available": 825.3,
"limit": 10000.25,
"currency": "HKD",
"accountType": "asset-link",
"identityType": "individual",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"xid": "<string>",
"xmetadata": "<unknown>",
"name": "JOHN CHAN",
"accountNumber": "002-010-1234567-0001",
"balanceUsdEquivalent": 10000.25,
"balanceHkdEquivalent": 10000.25,
"assetLink": {
"accountId": "<string>"
},
"phoneNumber": "+85212345678",
"walletId": "0ebd3c68-af60-4a6e-aaa9-040d8e64aa8e",
"status": "active",
"settlementAccountId": "abcb107d-d98d-49ee-8456-73fa693dbb55",
"settlementAccountName": "JOHN CHAN",
"settlementAccountNumber": "002-010-1234567-0001"
}
]
}Card Accounts
Get Card Accounts
Get a list of Card Accounts
GET
/
cardaccounts
Get Card Accounts
Authorizations
BasicBearer
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Filter by one or more xid
Filter by one or more Card Account Ids
Limits the number returned items Some collections have a upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used. If no page size is provided, the collection will determine the page size itself.
Required range:
x >= 1Example:
"aWVHZWV5OVgK"
Was this page helpful?

